commit b4ea3901405b132255a63b9d9786948a393cad02
Author: freddy77 <freddy77>
Date:   Wed Feb 27 16:08:40 2008 +0000

    SQLExecDirect/SQLExecute return SQL_SUCCESS instead of SQL_NO_DATA

diff --git b/ChangeLog a/ChangeLog
index 5944acd..58ee2df 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,7 +1,3 @@
-Wed Feb 27 17:06:22 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/odbc/odbc.c:
-	- SQLExecDirect/SQLExecute return SQL_SUCCESS instead of SQL_NO_DATA
-
 Fri Feb 15 11:47:38 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac: fix nasty problem with HP-UX
 
@@ -88,4 +84,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.19 2008/02/27 16:08:40 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.18 2008/02/15 10:48:24 freddy77 Exp $
diff --git b/src/odbc/odbc.c a/src/odbc/odbc.c
index 8d564a4..a639c4c 100644
--- b/src/odbc/odbc.c
+++ a/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.6 2008/02/27 16:08:57 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.5 2008/01/29 10:14:29 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -3179,6 +3179,9 @@ _SQLExecute(TDS_STMT * stmt)
 	case TDS_CMD_DONE:
 		if (stmt->dbc->current_statement == stmt)
 			stmt->dbc->current_statement = NULL;
+		if (stmt->errs.lastrc == SQL_SUCCESS && stmt->dbc->env->attr.odbc_version == SQL_OV_ODBC3
+		    && stmt->row_count == TDS_NO_COUNT && !stmt->cursor)
+			ODBC_RETURN(stmt, SQL_NO_DATA);
 		break;
 
 	case TDS_CMD_FAIL:

